/* This is automatically generated. Do not edit it.*/
oxprintfe("\n");
oxprintfe("hgm_jack-n\n");
oxprintfe(" [--idata input_data_file] [--x0 x0] [--degree approxm] [--help]\n");
oxprintfe(" [--automatic n] [--assigned_series_error e] [--x0value_min e2]\n");
oxprintfe("\n");
oxprintfe("The command hgm_jack-n [options] evaluates the matrix hypergeometric function pFq by \n");
oxprintfe("the Koev-Edelman algorithm and generates an input for hgm_w-n.\n");
oxprintfe("\n");
oxprintfe("Parameters are specified by the input_data_file. Otherwise, default values are used.\n");
oxprintfe("By executing ./hgm_jack-n without argument, a sample input file is output.\n");
oxprintfe("The format of the input_data_file specified by --idata: \n");
oxprintfe("# or %%%% are used for a comment line.\n");
oxprintfe("The value of a parameter xyz is specified by %%xyz=value\n");
oxprintfe("Input data file should start with the line for the latest input data format: %s\n",VSTRING);
oxprintfe("\n");
oxprintfe("  p_pFq : p of pFq, a_1, ..., a_p\n");
oxprintfe("  q_pFq : q of pFq, b_1, ..., b_q\n");
oxprintfe("  Mg: m (the number of variables).\n");
oxprintfe("  Beta: vector of length m. Evaluation is done on the line Beta*x\n");
oxprintfe("  X0g:  evaluation point of x (when --x0 option is used after --idata, this value is used).\n");
oxprintfe("  ef_type: exponential or scalar factor type.\n");
oxprintfe("    case 0: rare pFq  (Todo, not tested)\n");
oxprintfe("    case 1: It is for the case of evaluating \n");
oxprintfe("        Pr({y | y<xmax}), which is the cumulative distribution function of the largest root \n");
oxprintfe("        of the m by m Wishart matrices with n degrees of freedom and the covariantce matrix \n");
oxprintfe("        sigma where \n");
oxprintfe("        Beta=sigma^(-1)/2 (diagonized) and  n must be given by Ng.\n");
oxprintfe("        p_pFq, q_pFq are automatically set for 1F1.\n");
oxprintfe("    case 2: \n");
oxprintfe("        Pr({y | y<xmax}), which is the cumulative distribution function of the largest root\n");
oxprintfe("        of P Q^(-1) where P and Q are Wishart matrices. It uses 2F1 and Beta, p_pFq, q_pFq\n");
oxprintfe("        should be properly given.\n");
oxprintfe("\n");
oxprintfe("The following parameters may be given in the input data file to pass to hgm_w-n.\n");
oxprintfe("  Hg: h (step size) for hgm_w-n.\n");
oxprintfe("  Dp: output data is stored in every Dp steps when output_data_file is specified. \n");
oxprintfe("  Xng: terminating value of x for hgm_w-n.\n");
oxprintfe("\n");
oxprintfe("The output data contains the following parameters.\n");
oxprintfe("  Iv: initial values at X0g*Beta evaluated by this program.\n");
oxprintfe("  Ef: a scalar factor to the initial value evaluated by this program.\n");
oxprintfe("\n");
oxprintfe("--notable : It does not use the Lemma 3.2 of Koev-Edelman (there is a typo: kappa'_r = mu'_r for 1<=r<=mu_k).\n");
oxprintfe("When there is no --idata file, all options are ignored.\n");
oxprintfe("--automatic : X0g and degree are automatically determined from assigend_series_error. The current strategy is described in mh_t in jack-n.c.\n");
  oxprintfe("Default values for the papameters of the automatic mode: automatic=%d, assigned_series_error=%lg, x0value_min=%lg\n",M_automatic,M_assigned_series_error,M_x0value_min);
oxprintfe("The degree of the approximation (Mapprox) is given by the --degree option.\n");
oxprintfe("\n");
oxprintfe("Todo: automatic mode throws away the table of Jack polynomials of the previous degrees and reevaluate them. They should be kept.\n");
oxprintfe("Examples:\n");
oxprintfe("  [1] ./hgm_jack-n \n");
oxprintfe("  [2] ./hgm_jack-n --idata Testdata/tmp-idata3.txt --degree 15  --automatic 0\n");
oxprintfe("  [3] ./hgm_jack-n --idata Testdata/tmp-idata2.txt --degree 15 >test2.txt\n");
oxprintfe("      ./hgm_w-n --idata test2.txt --gnuplotf test-g\n");
oxprintfe("      gnuplot -persist <test-g-gp.txt\n");
oxprintfe("  [4] ./hgm_jack-n --idata Testdata/tmp-idata3.txt --automatic 1 --assigned_series_error=1e-12\n");
oxprintfe("  [5] ./hgm_jack-n --idata Testdata/tmp-idata4.txt\n");
oxprintfe("  [6] ./hgm_jack-n --idata Testdata/new-2016-02-04-4-in.txt\n");
